## com.google.gwt.event.shared
Class DefaultHandlerRegistration

    java.lang.Object
      com.google.gwt.event.shared.DefaultHandlerRegistration

All Implemented Interfaces:
  HandlerRegistration

    public class DefaultHandlerRegistration

extends java.lang.Object
implements HandlerRegistration

Default implementation of `HandlerRegistration`.

Constructor Summary
`protected` | `DefaultHandlerRegistration(HandlerManager manager, GwtEvent.Type<H> type, H handler)` Creates a new handler registration.

Method Summary
`void` | `removeHandler()` Removes the given handler from its manager.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultHandlerRegistration

    protected DefaultHandlerRegistration(HandlerManager manager,
                                         GwtEvent.Type<H> type,
                                         H handler)

  Creates a new handler registration.

  Type Parameters:
    `H` - Handler type
  Parameters:
    `manager` - the handler manager
    `type` - the event type
    `handler` - the handler

Method Detail

### removeHandler

    public void removeHandler()

  Removes the given handler from its manager.

  Specified by:
    `removeHandler` in interface `HandlerRegistration`